Skip to content
datasquares.aiSign inStart free

REST API

API: Webhooks

Outbound event notifications (standard and Slack-format). All endpoints require authentication unless noted. 6 endpoints.

List webhooks for workspace

Company admins only, signed in (API keys are refused).

Responses: 200 · 400 · 401 · 403

Create a webhook

Company admins only, signed in (API keys are refused).

Request body (JSON)

Field Type Required Description
name string yes
url string yes
kind "generic" | "slack" no
events array of string yes
secret string no
headers object no

Responses: 201 · 400 · 401 · 403 · 409

Update a webhook

Company admins only, signed in (API keys are refused).

Path parameters

Name Type Required Description
id string yes

Request body (JSON)

Field Type Required Description
name string no
url string no
events array of string no
secret string no
headers object no
isEnabled boolean no

Responses: 200 · 400 · 401 · 403 · 404

Delete a webhook

Company admins only, signed in (API keys are refused).

Path parameters

Name Type Required Description
id string yes

Responses: 204 — No content · 401 · 403 · 404

List recent deliveries for a webhook

Company admins only, signed in (API keys are refused).

Path parameters

Name Type Required Description
id string yes

Query parameters

Name Type Required Description
limit integer no
offset integer no

Responses: 200 · 400 · 401 · 403

Send a test webhook payload

Company admins only, signed in (API keys are refused).

Path parameters

Name Type Required Description
id string yes

Responses: 200 · 400 · 401 · 403 · 404